Name:           python-zanshinsdk
Version:        2.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python SDK to access the Tenchi Security Zanshin API v1

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/tenchi-security/zanshin-sdk-python
Source:         %{pypi_source zanshinsdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'zanshinsdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-zanshinsdk
Summary:        %{summary}

%description -n python3-zanshinsdk %_description


%prep
%autosetup -p1 -n zanshinsdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-zanshinsdk -f %{pyproject_files}


%changelog
%autochangelog